{% extends 'base.html.twig' %}



{% block body %}

     <div class="mdl-cell mdl-cell--8-col-desktop mdl-cell--8-col-tablet mdl-cell--4-col-phone">
                <div class="mdl-card mdl-shadow--2dp">
                    <div class="mdl-card__title">
                        <h1 class="mdl-card__title-text">Game</h1>
                    </div>
                    <div class="mdl-card__supporting-text no-padding">
                        <table class="mdl-data-table mdl-js-data-table">
                            <thead>
                                <tr>
                                    <th class="mdl-data-table__cell--non-numeric">id</th>
                                    <th class="mdl-data-table__cell--non-numeric">TitleGame</th>
                                    <th class="mdl-data-table__cell--non-numeric">DescriptionGame</th>
                                    <th class="mdl-data-table__cell--non-numeric">ReleasedAt</th>
                                    <th class="mdl-data-table__cell--non-numeric">ImageGame</th>
                                     <th class="mdl-data-table__cell--non-numeric">NbSellGame</th>
                                     <th class="mdl-data-table__cell--non-numeric">Genre</th>
                                     <th class="mdl-data-table__cell--non-numeric">Plateforme</th>
                                      <th class="mdl-data-table__cell--non-numeric">actions</th>
   
                                </tr>
                            </thead>
                            <tbody>
        {% for game in games %}
            <tr>
                <td class="mdl-data-table__cell--non-numeric" >{{ game.id }}</td>
                <td class="mdl-data-table__cell--non-numeric" >{{ game.titleGame }}</td>
                <td class="mdl-data-table__cell--non-numeric" >{{ game.descriptionGame }}</td>
                <td class="mdl-data-table__cell--non-numeric" >{{ game.releasedAt ? game.releasedAt|date('Y-m-d') : '' }}</td>
                <td class="mdl-data-table__cell--non-numeric" > <img class="logo" src= "/uploads/image/{{game.imageGame }}"/></td>
                <td class="mdl-data-table__cell--non-numeric">{{ game.nbSellGame }}</td>
                  <td  class="mdl-data-table__cell--non-numeric">
                 {% for type in game.types %}
                {{ type.titleType}}
                    {% endfor %}
                    </td>


                     <td  class="mdl-data-table__cell--non-numeric">
                 {% for platform in game.platforms %}
                {{ platform.namePlat}}
                    {% endfor %}
                    </td>

                <td>
                    <a href="{{ path('game_show', {'id': game.id}) }}">show</a>
                    <a href="{{ path('game_edit', {'id': game.id}) }}">edit</a>
                </td>
            </tr>
   
            {% else %}
            <tr>
                <td colspan="7">no records found</td>
            </tr>
                {% endfor %}
                                
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
    <a href="{{ path('game_new') }}">Create new</a>
 
{% endblock %}
